package com.huiju.estateagents.redpack.mapper;

import java.time.LocalDate;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.redpack.entity.TaOrgOrder;

/**
 * <p>
 * 组织订单表  Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Mapper
public interface TaOrgOrderMapper extends BaseMapper<TaOrgOrder> {

    /**
     * 充值退款订单
     * @param pg
     * @param orderType
     * @return
     */
    IPage<TaOrgOrder> orderListByRechargeOrRefund(IPage<TaOrgOrder> pg,
                                                  @Param("orderType") String orderType,
                                                  @Param("orgId") Integer orgId,
                                                  @Param("tradeNo") String tradeNo,
                                                  @Param("isOffline") Integer isOffline,
                                                  @Param("tradingStatus") String tradingStatus,
                                                  @Param("startDate") LocalDate startDate,
                                                  @Param("endDate") LocalDate endDate);

    /**
     * 消费订单
     * @param pg
     * @param orderType
     * @param orgId
     * @return
     */
    IPage<TaOrgOrder> orderListByConsume(IPage<TaOrgOrder> pg,
                                         @Param("orderType") String orderType,
                                         @Param("orgId") Integer orgId,
                                         @Param("tradeNo") String tradeNo,
                                         @Param("tradingStatus") String tradingStatus,
                                         @Param("receivePhone") String receivePhone,
                                         @Param("itemType") String itemType,
                                         @Param("startDate") LocalDate startDate,
                                         @Param("endDate") LocalDate endDate);

    /**
     * 总充值金额
     * @param orgId
     * @return
     */
    Integer countTotalRechargeAmount(@Param("orgId") Integer orgId);
}
