package com.huiju.estateagents.redpack.mapper;

import com.huiju.estateagents.redpack.entity.TaRedPacket;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

/**
 * <p>
 * 红包助力活动  Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Mapper
@Component
public interface TaRedPacketMapper extends BaseMapper<TaRedPacket> {

    /**
     * 初始化红包基础配置信息
     *
     * @param activityId
     * @return
     */
    Integer initRedPacket(@Param("activityId") String activityId,
                          @Param("name") String name,
                          @Param("qrCode") String qrCode,
                          @Param("startDate") LocalDateTime startDate,
                          @Param("endDate") LocalDateTime endDate,
                          @Param("orgId") Integer orgId);

    /**
     * 初始化红包助力配置信息
     *
     * @param activityId
     * @return
     */
    Integer initRedPacketHelp(@Param("activityId") String activityId);

    /**
     * 初始化红包客户端消息配置
     *
     * @param activityId
     * @return
     */
    Integer initRedPacketClient(@Param("activityId") String activityId);

    /**
     * 初始化红包金额配置
     *
     * @param activityId
     * @return
     */
    Integer initRedPacketMoney(@Param("activityId") String activityId);

    /**
     * 初始化红包图片信息
     *
     * @param activityId
     * @return
     */
    Integer initRedPacketImages(@Param("activityId") String activityId);
}
